Skip to content

Instantly share code, notes, and snippets.

Avatar
💩
What?

Michael Werner Czechowski nextlevelshit

💩
What?
View GitHub Profile
@nextlevelshit
nextlevelshit / README.md
Last active May 9, 2020
Cronjob for Gatsby Deployment and Backup at Uberspace (https://uber.space)
View README.md

1. Add both bash scripts to root folder of your repository to be deployed

Your root directory might look now like:

.
├── data
├── delete-old-backups.sh         # <------ Delete backups older than 15 days
├── deploy-and-backup-gatsby.sh   # <------ Deploy and backup "old" public directory
├── gatsby-browser.js
@nextlevelshit
nextlevelshit / remove-virtual-box.md
Last active Dec 16, 2019
Removing VirtualBox on Ubuntu 18.04.3
View remove-virtual-box.md
  1. Removing package with apt-get
sudo apt-get remove --purge virtualbox 
  1. Deleting virtual machines
sudo rm ~/"VirtualBox VMs" -Rf
sudo rm ~/.config/VirtualBox/ -Rf
View rules-of-green-thumb.md

Rules of (green) thumb

How to smoke the dutch way

  1. Show your face.

    Put off your hoodies, caps and hats.


  1. Don't be a big stud.
View keybase.md

Keybase proof

I hereby claim:

  • I am nextlevelshit on github.
  • I am nextlevelshit (https://keybase.io/nextlevelshit) on keybase.
  • I have a public key whose fingerprint is 1463 B21B 2CE3 422A D9A4 FD7C 4B03 4CF7 B499 8298

To claim this, I am signing this object:

@nextlevelshit
nextlevelshit / create_many_to_many_table.php
Last active Feb 17, 2018
Laravel 5 many-to-many migration table for belongsToMany() connections between two Entities. This is a so called pivot table two foreign keys, that create its index.
View create_many_to_many_table.php
<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
class CreateAuthorEntryTable extends Migration
{
/**
* Run the migrations.
@nextlevelshit
nextlevelshit / install-laravel-on-ubuntu.md
Last active Jan 14, 2020
A installation guide to get Lumen 5.5 running on Ubuntu 17.04 including all dependencies and known issues
View install-laravel-on-ubuntu.md

How to install Laravel Lumen 5.5 on Ubuntu 17.04

In that installation guide i will carry you through all dependencies of Lumen 5.5 on a system with Ubuntu 17.04. I will also provide known issues, that come along the installation of Lumen.

1. Requirements for installing Lumen 5.5

Type in the commands beneath the required package and check if you have yet installed them. If not, click the link for installation guide.

PHP >= 7.0

@nextlevelshit
nextlevelshit / pre-commit
Created Jan 28, 2017
git hook for markdown files, that should be compiled into pdf before committing
View pre-commit
#!/bin/bash
echo "Compiling markdown files ..."
regex="(.*)\.md"
list=$(git diff --cached --name-only --diff-filter=ACM)
while read -r line; do
if [[ $line =~ $regex ]]; then
file=${BASH_REMATCH[1]}
View index.html
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html lang="en">
<head>
<meta charset="utf-8">
<title>Force based label placement</title>
<script type="text/javascript" src="http://mbostock.github.com/d3/d3.js?2.6.0"></script>
<script type="text/javascript" src="http://mbostock.github.com/d3/d3.layout.js?2.6.0"></script>
<script type="text/javascript" src="http://mbostock.github.com/d3/d3.geom.js?2.6.0"></script>
</head>
<body>
You can’t perform that action at this time.